#!/bin/sh
TCLINSTALL=$1
if [ "${TCLINSTALL}x" == "x" ] ; then \
   TCLINSTALL=/usr/local
fi
if [ ! -d $TCLINSTALL/lib/tcllib0.4 ] ; then \
    mkdir -p $TCLINSTALL/lib/tcllib0.4 ; \
fi
if [ ! -d $TCLINSTALL/man/mann ] ; then \
    mkdir -p $TCLINSTALL/man/mann ; \
fi
cp -f pkgIndex.tcl $TCLINSTALL/lib/tcllib0.4
for j in base64 cmdline struct fileutil math mime ncgi pop3 profiler html ; do \
    if [ ! -d $TCLINSTALL/lib/tcllib0.4/$j ] ; then \
        mkdir $TCLINSTALL/lib/tcllib0.4/$j ; \
    fi; \
    cp -f $j/*.tcl $TCLINSTALL/lib/tcllib0.4/$j ; \
    cp -f $j/*.n   $TCLINSTALL/man/mann ; \
done
